io.etcd.jetcd.api

## Class ResponseHeader.Builder

- java.lang.Object
- - com.google.protobuf.AbstractMessageLite.Builder
  - - com.google.protobuf.AbstractMessage.Builder<BuilderType>
    - - com.google.protobuf.GeneratedMessageV3.Builder<ResponseHeader.Builder>
      - - io.etcd.jetcd.api.ResponseHeader.Builder

All Implemented Interfaces:
  com.google.protobuf.Message.Builder, com.google.protobuf.MessageLite.Builder, com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder, ResponseHeaderOrBuilder, Cloneable

Enclosing class:
  ResponseHeader

    public static final class ResponseHeader.Builder
    extends com.google.protobuf.GeneratedMessageV3.Builder<ResponseHeader.Builder>
    implements ResponseHeaderOrBuilder

Protobuf type `etcdserverpb.ResponseHeader`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`ResponseHeader.Builder` `addRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)`
`ResponseHeader` `build()`
`ResponseHeader` `buildPartial()`
`ResponseHeader.Builder` `clear()`
`ResponseHeader.Builder` `clearClusterId()` cluster_id is the ID of the cluster which sent the response.
`ResponseHeader.Builder` `clearField(com.google.protobuf.Descriptors.FieldDescriptor field)`
`ResponseHeader.Builder` `clearMemberId()` member_id is the ID of the member which sent the response.
`ResponseHeader.Builder` `clearOneof(com.google.protobuf.Descriptors.OneofDescriptor oneof)`
`ResponseHeader.Builder` `clearRaftTerm()` raft_term is the raft term when the request was applied.
`ResponseHeader.Builder` `clearRevision()` revision is the key-value store revision when the request was applied.
`ResponseHeader.Builder` `clone()`
`long` `getClusterId()` cluster_id is the ID of the cluster which sent the response.
`ResponseHeader` `getDefaultInstanceForType()`
`static com.google.protobuf.Descriptors.Descriptor` `getDescriptor()`
`com.google.protobuf.Descriptors.Descriptor` `getDescriptorForType()`
`long` `getMemberId()` member_id is the ID of the member which sent the response.
`long` `getRaftTerm()` raft_term is the raft term when the request was applied.
`long` `getRevision()` revision is the key-value store revision when the request was applied.
`protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable` `internalGetFieldAccessorTable()`
`boolean` `isInitialized()`
`ResponseHeader.Builder` `mergeFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`ResponseHeader.Builder` `mergeFrom(com.google.protobuf.Message other)`
`ResponseHeader.Builder` `mergeFrom(ResponseHeader other)`
`ResponseHeader.Builder` `mergeUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)`
`ResponseHeader.Builder` `setClusterId(long value)` cluster_id is the ID of the cluster which sent the response.
`ResponseHeader.Builder` `setField(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)`
`ResponseHeader.Builder` `setMemberId(long value)` member_id is the ID of the member which sent the response.
`ResponseHeader.Builder` `setRaftTerm(long value)` raft_term is the raft term when the request was applied.
`ResponseHeader.Builder` `setRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field, int index, Object value)`
`ResponseHeader.Builder` `setRevision(long value)` revision is the key-value store revision when the request was applied.
`ResponseHeader.Builder` `setUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)`

### Methods inherited from class com.google.protobuf.GeneratedMessageV3.Builder

`getAllFields, getField, getFieldBuilder, getOneofFieldDescriptor, getParentForChildren, getRepeatedField, getRepeatedFieldBuilder, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof, internalGetMapField, internalGetMutableMapField, isClean, markClean, newBuilderForField, onBuilt, onChanged, setUnknownFieldsProto3`

### Methods inherited from class com.google.protobuf.AbstractMessage.Builder

`findInitializationErrors, getInitializationErrorString, internalMergeFrom, mergeDelimitedFrom, mergeDelimitedFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException, toString`

### Methods inherited from class com.google.protobuf.AbstractMessageLite.Builder

`addAll, addAll, mergeFrom, newUninitializedMessageException`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

### Methods inherited from interface com.google.protobuf.MessageLite.Builder

`mergeFrom`

### Method Detail

#### getDescriptor

    public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

#### internalGetFieldAccessorTable

    protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable internalGetFieldAccessorTable()

Specified by:
  `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessageV3.Builder<ResponseHeader.Builder>`

#### clear

    public ResponseHeader.Builder clear()

Specified by:
  `clear` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `clear` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `clear` in class `com.google.protobuf.GeneratedMessageV3.Builder<ResponseHeader.Builder>`

#### getDescriptorForType

    public com.google.protobuf.Descriptors.Descriptor getDescriptorForType()

Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.MessageOrBuilder`
Overrides:
  `getDescriptorForType` in class `com.google.protobuf.GeneratedMessageV3.Builder<ResponseHeader.Builder>`

#### getDefaultInstanceForType

    public ResponseHeader getDefaultInstanceForType()

Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`

#### build

    public ResponseHeader build()

Specified by:
  `build` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `build` in interface `com.google.protobuf.MessageLite.Builder`

#### buildPartial

    public ResponseHeader buildPartial()

Specified by:
  `buildPartial` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `buildPartial` in interface `com.google.protobuf.MessageLite.Builder`

#### clone

    public ResponseHeader.Builder clone()

Specified by:
  `clone` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `clone` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `clone` in class `com.google.protobuf.GeneratedMessageV3.Builder<ResponseHeader.Builder>`

#### setField

    public ResponseHeader.Builder setField(com.google.protobuf.Descriptors.FieldDescriptor field,
                                           Object value)

Specified by:
  `setField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setField` in class `com.google.protobuf.GeneratedMessageV3.Builder<ResponseHeader.Builder>`

#### clearField

    public ResponseHeader.Builder clearField(com.google.protobuf.Descriptors.FieldDescriptor field)

Specified by:
  `clearField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `clearField` in class `com.google.protobuf.GeneratedMessageV3.Builder<ResponseHeader.Builder>`

#### clearOneof

    public ResponseHeader.Builder clearOneof(com.google.protobuf.Descriptors.OneofDescriptor oneof)

Specified by:
  `clearOneof` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `clearOneof` in class `com.google.protobuf.GeneratedMessageV3.Builder<ResponseHeader.Builder>`

#### setRepeatedField

    public ResponseHeader.Builder setRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field,
                                                   int index,
                                                   Object value)

Specified by:
  `setRepeatedField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<ResponseHeader.Builder>`

#### addRepeatedField

    public ResponseHeader.Builder addRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field,
                                                   Object value)

Specified by:
  `addRepeatedField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `addRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<ResponseHeader.Builder>`

#### mergeFrom

    public ResponseHeader.Builder mergeFrom(com.google.protobuf.Message other)

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<ResponseHeader.Builder>`

#### mergeFrom

    public ResponseHeader.Builder mergeFrom(ResponseHeader other)

#### isInitialized

    public final boolean isInitialized()

Specified by:
  `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
Overrides:
  `isInitialized` in class `com.google.protobuf.GeneratedMessageV3.Builder<ResponseHeader.Builder>`

#### mergeFrom

    public ResponseHeader.Builder mergeFrom(com.google.protobuf.CodedInputStream input,
                                            com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                     throws IOException

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `mergeFrom` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<ResponseHeader.Builder>`
Throws:
  `IOException`

#### getClusterId

    public long getClusterId()

     cluster_id is the ID of the cluster which sent the response.

`uint64 cluster_id = 1;`

Specified by:
  `getClusterId` in interface `ResponseHeaderOrBuilder`
Returns:
  The clusterId.

#### setClusterId

    public ResponseHeader.Builder setClusterId(long value)

     cluster_id is the ID of the cluster which sent the response.

`uint64 cluster_id = 1;`

Parameters:
  `value` - The clusterId to set.
Returns:
  This builder for chaining.

#### clearClusterId

    public ResponseHeader.Builder clearClusterId()

     cluster_id is the ID of the cluster which sent the response.

`uint64 cluster_id = 1;`

Returns:
  This builder for chaining.

#### getMemberId

    public long getMemberId()

     member_id is the ID of the member which sent the response.

`uint64 member_id = 2;`

Specified by:
  `getMemberId` in interface `ResponseHeaderOrBuilder`
Returns:
  The memberId.

#### setMemberId

    public ResponseHeader.Builder setMemberId(long value)

     member_id is the ID of the member which sent the response.

`uint64 member_id = 2;`

Parameters:
  `value` - The memberId to set.
Returns:
  This builder for chaining.

#### clearMemberId

    public ResponseHeader.Builder clearMemberId()

     member_id is the ID of the member which sent the response.

`uint64 member_id = 2;`

Returns:
  This builder for chaining.

#### getRevision

    public long getRevision()

     revision is the key-value store revision when the request was applied.

`int64 revision = 3;`

Specified by:
  `getRevision` in interface `ResponseHeaderOrBuilder`
Returns:
  The revision.

#### setRevision

    public ResponseHeader.Builder setRevision(long value)

     revision is the key-value store revision when the request was applied.

`int64 revision = 3;`

Parameters:
  `value` - The revision to set.
Returns:
  This builder for chaining.

#### clearRevision

    public ResponseHeader.Builder clearRevision()

     revision is the key-value store revision when the request was applied.

`int64 revision = 3;`

Returns:
  This builder for chaining.

#### getRaftTerm

    public long getRaftTerm()

     raft_term is the raft term when the request was applied.

`uint64 raft_term = 4;`

Specified by:
  `getRaftTerm` in interface `ResponseHeaderOrBuilder`
Returns:
  The raftTerm.

#### setRaftTerm

    public ResponseHeader.Builder setRaftTerm(long value)

     raft_term is the raft term when the request was applied.

`uint64 raft_term = 4;`

Parameters:
  `value` - The raftTerm to set.
Returns:
  This builder for chaining.

#### clearRaftTerm

    public ResponseHeader.Builder clearRaftTerm()

     raft_term is the raft term when the request was applied.

`uint64 raft_term = 4;`

Returns:
  This builder for chaining.

#### setUnknownFields

    public final ResponseHeader.Builder setUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `setUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<ResponseHeader.Builder>`

#### mergeUnknownFields

    public final ResponseHeader.Builder mergeUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `mergeUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<ResponseHeader.Builder>`